> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Number Range

> Updates an existing number range.



## OpenAPI

````yaml /openapi/2.0.json put /v2/number-ranges/{numberRangeId}
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.1.0\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.0'
  x-application-version: 2.1.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: Worker
    description: >-
      <p data-section-id='tag/Worker' class='beta_summary'></p>Returns the
      Available Syncs of the Worker
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Sales Channel
    description: >-
      <p data-section-id='tag/Sales Channel' class='stable_summary'></p>Gets all
      sales channels.
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication' class='stable_summary'></p>Send a
      registration request for an (external) application
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Warehouse Assistant
paths:
  /v2/number-ranges/{numberRangeId}:
    put:
      tags:
        - Master Data
      summary: Update Number Range
      description: Updates an existing number range.
      operationId: NumberRanges_UpdateNumberRangeAsync
      parameters:
        - name: numberRangeId
          in: path
          required: true
          description: The ID of the number range.
          schema:
            $ref: >-
              #/components/schemas/JTL.Wawi.Stammdaten.Core.Contracts.NumberRanges.Domain.Keys.NumberRangeKey
          x-position: 2
        - name: x-companyid
          in: header
          description: >-
            The Company-Id (int or uuid) of the company on whose behalf the
            request is executed.
          schema:
            type: string
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      requestBody:
        x-name: item
        description: The relevant information of the number range.
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.NumberRanges.PutNumberRangeItem
        required: true
        x-position: 1
      responses:
        '201':
          description: The changed number range.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.NumberRanges.NumberRangeItem
        '401':
          description: ''
          content:
            application/json: {}
        '402':
          description: No licence available or the app has not been authorised by JTL.
          content:
            application/json: {}
        '404':
          description: No number range with the given ID exists.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse
      security:
        - oauth2-authorization-code:
            - system.config.write
        - oauth2-client-credentials:
            - system.config.write
components:
  schemas:
    JTL.Wawi.Stammdaten.Core.Contracts.NumberRanges.Domain.Keys.NumberRangeKey:
      type: string
      description: Schlüssel für einen Nummernkreis Datensatz
      format: uuid
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.NumberRanges.PutNumberRangeItem:
      type: object
      description: A Individuel NumberRange
      additionalProperties: false
      properties:
        prefix:
          type: string
          description: The Number Prefix for the NumberRange
        currentNumber:
          type: integer
          description: The Current Number of the NumberRange
          format: int32
        suffix:
          type: string
          description: The Number Suffix for the NumberRange
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: >-
            The internal ID of the company associated with the customer. This is
            configured in the company and email settings in JTL-Wawi
          example: b45f6432-2462-4c6f-b00f-1d9d01000000
    JTL.Wawi.Rest.Contracts.Models.V1.NumberRanges.NumberRangeItem:
      type: object
      description: A Individuel NumberRange
      additionalProperties: false
      required:
        - identifier
        - name
        - description
        - prefix
        - currentNumber
        - suffix
        - maxLength
        - exampleNumber
        - isDeletable
      properties:
        identifier:
          $ref: >-
            #/components/schemas/JTL.Wawi.Stammdaten.Core.Contracts.NumberRanges.Domain.Keys.NumberRangeKey
          description: The Unique Identifier of a Sync
        name:
          type: string
          description: The Name of the Number Range
        description:
          type: string
          description: The Name of the Number Range
        prefix:
          type: string
          description: The Number Prefix for the NumberRange
        currentNumber:
          type: integer
          description: The Current Number of the NumberRange
          format: int32
        suffix:
          type: string
          description: The Number Suffix for the NumberRange
        maxLength:
          type: integer
          description: The Max Length of an Number Range
          format: int32
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: >-
            The internal ID of the company associated with the customer. This is
            configured in the company and email settings in JTL-Wawi
        exampleNumber:
          type: string
          description: The Example of a Number
        isDeletable:
          type: boolean
          description: Can the Number Range be deleted
    JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse:
      type: object
      description: >-
        Represents an error response returned by the system in case of a failure
        or exception.
      additionalProperties: false
      properties:
        errorCode:
          type: string
          description: >-
            Gets or sets the error code that identifies the type of error
            encountered.
        validationErrors:
          type: object
          description: >-
            Gets or sets a dictionary containing validation errors associated
            with the request.
          deprecated: true
          x-deprecatedMessage: Use Errors
          additionalProperties:
            type: string
        errors:
          type: object
          description: Gets or sets a collection of errors associated with the response.
          additionalProperties:
            type: array
            items:
              type: string
        errorMessage:
          type: string
          description: >-
            Gets or sets the error message that provides details about the error
            encountered.
        stacktrace:
          type: string
          description: >-
            Gets or sets the stack trace associated with the error, providing
            detailed

            information about the sequence of method calls that led to the
            exception.
    JTL.Data.Contracts.Keys.FirmaKey:
      type: string
      description: Represents a key for identifying a firm within the application.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            all.read: Allows the application to read all data.
            authentication.updateforeignapp: Grants permission to update registered third-party apps.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            foreignapps.manage: >-
              Grants permission to manage registered third-party apps
              (registration, update and removal).
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            saleschannels.read: Grants permission to read sales channels.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            system.worker.read: >-
              Grants permission to read the configuration and status of
              background workers.
            system.worker.write: Grants permission to configure and control background workers.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            all.read: Allows the application to read all data.
            authentication.updateforeignapp: Grants permission to update registered third-party apps.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            foreignapps.manage: >-
              Grants permission to manage registered third-party apps
              (registration, update and removal).
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            saleschannels.read: Grants permission to read sales channels.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            system.worker.read: >-
              Grants permission to read the configuration and status of
              background workers.
            system.worker.write: Grants permission to configure and control background workers.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````